const Http = require("../../utils/HttpBasics");
const config = require("../../config/config");
let app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    src:'./../../../assets/img/grade.png'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {
    let that = this;
    Http.get({
      url: config.api.scoreLevelInfo,
      data: {
        appId: config.weapp.AppId,
      }
    })
    .then(res=>{
      console.log(res);

      that.setData({
        flags: 'have',
        consumptionScoreNumber: res.data.score.consumptionScoreNumber,
        loginscoreNumber: res.data.score.loginScoreNumber,
        personscoreNumber: res.data.score.personScoreNumber,
        phonescoreNumber: res.data.score.phoneScoreNumber,
        wifiscoreNumber: res.data.score.wifiScoreNumber,
        bindCarScoreNumber: res.data.score.bindCarScoreNumber,
        levelList: res.data.levelList
      })
    })
    .catch(res=>{
      that.setData({
        flags: 'nothave'
      })
    })
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})